Requirements check failed for JDK 8 after updated to Android Studio 4.2

Submitted by Z on Thu, 05/13/2021 - 17:01

After updated Android Studio to 4.2, ionic cordova build android keeps giving me this:

Requirements check failed for JDK 8 ('1.8.*')! Detected version: 11.0.8

The reason is , in previous releases, JDK 8 was bundled with Studio. In 4.2, however, JDK 11 is now bundled instead.

But, Cordova only support JDK 8

So the solution is simple. 

sudo dnf install java-1.8.0-openjdk-devel

References:
https://developer.android.com/studio/releases/build-tools#4.2-bundled-jdk-11
https://cordova.apache.org/docs/en/latest/guide/platforms/android/index.html#java-development-kit-jdk

Add new comment

Plain text

  • No HTML tags allowed.
  • Lines and paragraphs break automatically.
  • Web page addresses and email addresses turn into links automatically.